"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryOnMounted = void 0;
// eslint-disable-next-line no-restricted-imports
const vue_1 = require("vue");
/**
 * Call onMounted() if it's inside a component lifecycle, if not, just call the function
 *
 * @param fn
 * @param sync if set to false, it will run in the nextTick() of Vue
 */
function tryOnMounted(fn, sync = true) {
    if ((0, vue_1.getCurrentInstance)())
        (0, vue_1.onMounted)(fn);
    else if (sync)
        fn();
    else
        (0, vue_1.nextTick)(fn);
}
exports.tryOnMounted = tryOnMounted;
