"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSupported = void 0;
const tryOnMounted_1 = require("./tryOnMounted");
const vue_1 = require("vue");
function useSupported(callback, sync = false) {
    const isSupported = (0, vue_1.shallowRef)();
    const update = () => (isSupported.value = Boolean(callback()));
    update();
    (0, tryOnMounted_1.tryOnMounted)(update, sync);
    return isSupported;
}
exports.useSupported = useSupported;
